<?php
define('_IN_JOHNCMS', 1);
require('../incfiles/core.php');
require('../incfiles/head.php');

echo '<div class="phdr">Смена дизайна</div>';
if ($user_id && $rights == 9) {
if (isset($_POST['submit'])) {
// Устанавливаем скин
foreach (glob('../theme/*/*.css') as $val)
$theme_list[] = array_pop(explode('/', dirname($val)));
$set_user['skin'] = isset($_POST['skin']) && in_array($_POST['skin'], $theme_list) ? functions::check($_POST['skin']) : $set['skindef'];

mysql_query("UPDATE `users` SET `set_user` = '" . mysql_real_escape_string(serialize($set_user)) . "'");
$_SESSION['set_ok'] = 1;
header('Location: theme.php');
exit;
}

if (isset($_SESSION['set_ok'])) {
echo '<div class="rmenu">Дизайн у всех пользователей изменена!</div>';
unset($_SESSION['set_ok']);
} else {
echo '<div class="gmenu">С помощью этого скрипта вы можете изменить дизайн у всех пользователей ресурса.</div>';
}

echo '<form action="theme.php" method="post" ><div class="list2">';
// Выбор темы оформления
echo 'Выберите тему оформления:<br/><select name="skin">';
foreach (glob('../theme/*/*.css') as $val) {
$dir = explode('/', dirname($val));
$theme = array_pop($dir);
echo '<option' . (core::$user_set['skin'] == $theme ? ' selected="selected">' : '>') . $theme . '</option>';
}
echo '</select>';
echo '</div><div class="list1"><input type="submit" name="submit" value="Изменить"/></div></form>';

} else {
echo '<div class="rmenu">Недостаточно прав!</div>';
}
echo '<div class="list1"><a href="index.php">Админ панель</a></div>';
require('../incfiles/end.php');